import { DefineComponent, Ref, VNode } from 'vue';
import { Subject } from '@tanbo/stream';
import { Component, ComponentInstance, ExtractComponentInstanceType, Slot, VElement, VTextNode } from '@textbus/core';
import { DomAdapter } from '@textbus/platform-browser';
export interface ViewComponentProps<T extends Component = Component> {
    component: ExtractComponentInstanceType<T>;
    rootRef: Ref<HTMLElement | undefined>;
}
export interface ReactAdapterComponents {
    [key: string]: DefineComponent<ViewComponentProps>;
}
/**
 * Textbus 桥接 Vue 渲染能力适配器，用于在 Vue 项目中渲染 Textbus 数据
 */
export declare class Adapter extends DomAdapter<VNode, VNode> {
    onViewUpdated: Subject<void>;
    private components;
    private componentRefs;
    constructor(components: ReactAdapterComponents, mount: (host: HTMLElement, root: VNode) => (void | (() => void)));
    componentRender(component: ComponentInstance): VNode;
    slotRender(slot: Slot, slotHostRender: (children: Array<VElement | VTextNode | ComponentInstance>) => VElement, renderEnv?: any): VNode;
}
